import 'package:json_annotation/json_annotation.dart';
import 'package:momo/models/image_resp.dart';

part 'image_list_resp.g.dart';

@JsonSerializable()
class ImageListResp {
  List<ImageResp> list;
  int total;
  bool hasNext;

  ImageListResp(this.list, this.total, this.hasNext);

  factory ImageListResp.fromJson(Map<String, dynamic> json) =>
      _$ImageListRespFromJson(json);

  Map<String, dynamic> toJson() => _$ImageListRespToJson(this);
}
